{% extends "app/base_site.html" %}

{% block title %} Registrar tienda {% endblock %}

{% block content %}
    <div class="right_col" role="main">
        <div class="">
            <div class="clearfix"></div>
            <div class="row">
                <div class="col-md-12 col-sm-12 col-xs-12">
                    <div class="x_panel">
                        <div class="x_title">
                            <h2>{% if create %} Registro {% else %} Edición {% endif %}de tienda</h2>
                            <div class="clearfix"></div>
                        </div>
                        <div class="x_content">
                            <br/>
                            <form id="form-add-store" data-parsley-validate class="form-horizontal form-label-left"
                                  method="post" action="
{% if create %}
{% url 'administration:store_add' %}
{% else %}
{% url 'administration:store_edit' store.id_pk %}
{% endif %}
">
                                {% csrf_token %}

                                <div class="form-group">
                                    <label class="control-label col-md-3 col-sm-3 col-xs-12" for="input-name">Nombre
                                        comercial
                                        <span class="required">*</span>
                                    </label>
                                    <div class="col-md-6 col-sm-6 col-xs-12">
                                        <input type="text" id="input-name" required="required"
                                               name="name"
                                                {% if not create %}
                                               value="{{ store.name }}"
                                                {% endif %}
                                               class="form-control col-md-7 col-xs-12">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="control-label col-md-3 col-sm-3 col-xs-12" for="input-ruc">RUC
                                        <span class="required">*</span>
                                    </label>
                                    <div class="col-md-6 col-sm-6 col-xs-12">
                                        <input type="text" id="input-ruc" required="required"
                                               name="ruc"
                                                {% if not create %}
                                               value="{{ ruc }}"
                                                {% endif %}
                                               class="form-control col-md-7 col-xs-12">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="control-label col-md-3 col-sm-3 col-xs-12"
                                           for="input-stablishment-number">
                                        Número de establecimiento
                                        <span class="required">*</span>
                                    </label>
                                    <div class="col-md-6 col-sm-6 col-xs-12">
                                        <input type="text" id="input-stablishment-number"
                                               required="required"
                                               name="stablishment_number"
                                                {% if not create %}
                                               value="{{ stablishment_number }}"
                                                {% endif %}
                                               class="form-control col-md-7 col-xs-12">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-md-3 col-sm-3 col-xs-12 control-label">Disponibilidad</label>
                                    <div class="col-md-9 col-sm-9 col-xs-12">
                                        <div class="checkbox">
                                            <label>
                                                <input type="checkbox" name="active"
                                                       value="active"
                                                        {% if create %}
                                                       checked
                                                        {% else %}
                                                            {% if store.active %}
                                                       checked
                                                            {% endif %}
                                                        {% endif %}>
                                            </label>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-md-3 col-sm-3 col-xs-12 control-label">Modo Producción</label>
                                    <div class="col-md-9 col-sm-9 col-xs-12">
                                        <div class="checkbox">
                                            <label>
                                                <input type="checkbox" name="active-production-mode"
                                                       value="active"
                                                        {% if create %}
                                                       checked
                                                        {% else %}
                                                            {% if store.production_mode %}
                                                       checked
                                                            {% endif %}
                                                        {% endif %}>
                                            </label>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-md-3 col-sm-3 col-xs-12 control-label">Modo Desarrollo</label>
                                    <div class="col-md-9 col-sm-9 col-xs-12">
                                        <div class="checkbox">
                                            <label>
                                                <input type="checkbox" name="active-develop-mode"
                                                       value="active"
                                                        {% if create %}
                                                       checked
                                                        {% else %}
                                                            {% if store.develop_mode %}
                                                       checked
                                                            {% endif %}
                                                        {% endif %}>
                                            </label>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                        Agregadores
                                    </label>
                                </div>

                                {% for aggregator in aggregators %}
                                    <div class="form-group row">
                                        <label class="col-md-3 col-sm-3  control-label">
                                            {{ aggregator.name }}
                                        </label>
                                        <div class="col-md-9 col-sm-9 ">
                                            <div class="checkbox">
                                                <label>
                                                    <input type="checkbox" value="{{ aggregator.id_pk }}"
                                                            {% if aggregator.store_relation %}
                                                           checked
                                                            {% endif %} name="aggregators">
                                                </label>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="form-group row">
                                        <label class="control-label col-md-3 col-sm-3 col-xs-12"
                                               for="input-stablishment-number">
                                            Identificador
                                        </label>
                                        <div class="col-md-2 col-sm-2 col-xs-2">
                                            <input type="text" class="form-control" id="{{ aggregator.name }}_input_id"
                                                   placeholder="" name="{{ aggregator.name }}" accept=""
                                                    {% if not create and aggregator.relation_id %}
                                                   value="{{ aggregator.relation_id }}"
                                                    {% endif %}
                                            >
                                        </div>
                                    </div>

                                    <div class="form-group row">
                                        <label class="control-label col-md-3 col-sm-3">
                                            Credenciales de producción
                                        </label>
                                        <div class="col-md-6 col-sm-6">
                                            <input type="text" id="production-credentials-{{ aggregator.name }}"
                                                   name="production-credentials-{{ aggregator.name }}"
                                                    {% if not create and aggregator.production_credentials %}
                                                   value="{{ aggregator.production_credentials }}"
                                                    {% endif %}
                                                   class="form-control col-md-7 col-xs-12">
                                        </div>
                                    </div>

                                    <div class="form-group row">
                                        <label class="control-label col-md-3 col-sm-3 ">
                                            Credenciales de desarrollo
                                        </label>
                                        <div class="col-md-6 col-sm-6">
                                            <input type="text" id="develop-credentials-{{ aggregator.name }}"
                                                   name="develop-credentials-{{ aggregator.name }}"
                                                    {% if not create and aggregator.develop_credentials %}
                                                   value="{{ aggregator.develop_credentials }}"
                                                    {% endif %}
                                                   class="form-control col-md-7 col-xs-12">
                                        </div>
                                    </div>
                                {% endfor %}

                                <div class="form-group">
                                    <div class="col-md-6 col-sm-6 col-xs-12 col-md-offset-3">
                                        <button type="submit" class="btn btn-success">
                                            {% if create %} Registrar {% else %} Editar {% endif %}
                                        </button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock content %}

{% block script %}
    <script>
        $("form").submit(function (event) {
            event.preventDefault();
            var post_url = $(this).attr("action");
            var request_method = $(this).attr("method");
            var form_data = $(this).serialize();

            $.ajax({
                url: post_url,
                type: request_method,
                data: form_data,
                success: function (json) {
                    window.location.replace('{% url 'administration:index' %}');
                },
                error: function (xhr, status, error) {
                    var json_error = JSON.parse(xhr.responseText);
                    console.log(json_error);
                    toastr[json_error.code](json_error.message, json_error.title);
                }
            });
        });
    </script>
{% endblock script %}
